# Uses of Class
org.springframework.http.ContentDisposition

Packages that use ContentDisposition
Package
Description
org.springframework.http
Contains a basic abstraction over client/server-side HTTP.

## Uses of ContentDisposition in org.springframework.http

Methods in org.springframework.http that return ContentDisposition
Modifier and Type
Method
Description
`ContentDisposition`
ContentDisposition.Builder.`build()`
Build the content disposition.
`static ContentDisposition`
ContentDisposition.`empty()`
Return an empty content disposition.
`ContentDisposition`
HttpHeaders.`getContentDisposition()`
Return a parsed representation of the Content-Disposition header.
`static ContentDisposition`
ContentDisposition.`parse(String contentDisposition)`
Parse a Content-Disposition header value as defined in RFC 2183.
Methods in org.springframework.http with parameters of type ContentDisposition
Modifier and Type
Method
Description
`void`
HttpHeaders.`setContentDisposition(ContentDisposition contentDisposition)`
Set the Content-Disposition header.